<?php

namespace Bydedi\Shipping;

/**
 * Interface RelayInterface
 * @package Bydedi\Shipping
 */
interface RelayInterface
{

    /**
     * @param array $formvars
     * @return Relay[]
     */
    public function getList($formvars = array());

    /**
     * @param string $relayId
     * @param string $countryIso
     *
     * @return Relay
     */
    public function getRelay($relayId, $countryIso = '');

    /**
     * @param array $data
     * @return Relay
     */
    public function formatRelay(array $data);
}
